Reconcile bank payments to statement transactions Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/bank-transaction/reconcile
application/json

Body

  • provider_statement_uuid string(uuid)

    The UUID of the provider statement. Required if you do not provide statement_transactions.

  • statement_transactions array[string(uuid)]

    The list of statement transactions to reconcile against expectations. Required if provider_statement_uuid is not present.

  • bank_transactions array[string(uuid)] Required

    The list of bank payments to reconcile against statement transactions.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string Required

      A human-readable description of the error.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/bank-transaction/reconcile
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/bank-transaction/reconcile' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"provider_statement_uuid":"dc9588f5-2c50-4839-9a8d-4ae195914b6c","statement_transactions":["417c298f-1a98-4c05-ae07-63341f844b5a","d7c05551-d5a6-4f82-8a59-f7191907a8a9","f8817e8a-3f71-4bf1-9edf-4e92dac6a9e5"],"bank_transactions":["1a739fd8-96e6-4fd5-a768-4189b9de330d","f621ede6-8c00-4f1b-9a0a-e945807c1103","987e14f6-28ea-4c53-8755-b010ec15ad2e"]}'
Request examples
{
  "provider_statement_uuid": "dc9588f5-2c50-4839-9a8d-4ae195914b6c",
  "statement_transactions": [
    "417c298f-1a98-4c05-ae07-63341f844b5a",
    "d7c05551-d5a6-4f82-8a59-f7191907a8a9",
    "f8817e8a-3f71-4bf1-9edf-4e92dac6a9e5"
  ],
  "bank_transactions": [
    "1a739fd8-96e6-4fd5-a768-4189b9de330d",
    "f621ede6-8c00-4f1b-9a0a-e945807c1103",
    "987e14f6-28ea-4c53-8755-b010ec15ad2e"
  ]
}
Response examples (401)
{
  "message": "Unauthenticated."
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}